
Kafo - Feature #3394

Run puppet with --trace

10/21/2013 05:31 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version: 1.4.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the case of errors coming from Puppet types, providers etc, it's necessary to run Puppet with --trace to get a stack trace back.

Ideally, we'd always run Puppet with --trace as it's otherwise harmless, but then send the stack traces to the log file for further

investigation.  Otherwise it could be an argument to the binary.

Related issues:

Related to Installer - Feature #3435: foreman-installer fails when /etc/hosts... Resolved 10/21/2013

Related to Kafo - Bug #30505: Do not display puppet traceback when reporting ... Closed

Associated revisions

Revision f87b9d41 - 12/13/2013 09:28 AM - Lukas Zapletal 

fixes #3394 - added --trace puppet option as default

History

#1 - 10/21/2013 09:46 PM - Dominic Cleal

- Related to Feature #3435: foreman-installer fails when /etc/hosts is not filled appropriately added

#2 - 12/13/2013 09:31 AM - Lukas Zapletal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Target version set to 1.9.3

- translation missing: en.field_release set to 2

- Difficulty set to easy

https://github.com/theforeman/kafo/pull/50

#3 - 12/16/2013 07:52 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f87b9d41ca2e516538d4c28b59396c577fee55a8.

#4 - 07/31/2020 02:32 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #30505: Do not display puppet traceback when reporting errors added
